package eu.e99.svc.common.protocol;

import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;
import java.util.UUID;

public class SignalPacket implements Packet {

    public static final int TYPE_OFFER = 0;
    public static final int TYPE_ANSWER = 1;
    public static final int TYPE_ICE_CANDIDATE = 2;

    public UUID from;
    public UUID to;
    public int type;
    public String sdp;

    @Override
    public void read(DataInputStream in) throws IOException {


        this.type = in.readInt();
        this.sdp = in.readUTF();
    }

    @Override
    public void write(DataOutputStream out) throws IOException {


        out.writeInt(this.type);
        out.writeUTF(this.sdp);
    }
}
